<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="style.css">
    <title>CSS Grid</title>
</head>

<body>
    <h1>CSS Grid</h1>
    <h2>Grâce à la propriété Grid vous allez pouvoir définir un tableau virtuel en bi-dimension !</h2>

    <div class="sous_titre">
        <h3>Pour commener : "diplay: grid;"</h3>

        <p class="souligne">Les valeurs utilisables lors de la définition d'une grille :</p>
        <p>%, px, rem, fr, repeat(), minmax()</p>
        <p class="souligne">Les valeurs pour le placement :</p>
        <p>nb, span nb, auto, min-content, max-content, minmax()</p>
    </div>

    <div class="container">
        <div class="text_container"></div>

        <div class="columns">
            <h3>Columns</h3>
            <ul>
                <li><span class="propriete">grid-template-column :</span> Définit le nombre et la taille des colonnes de
                    la grille.</li>
                <li><span class="propriete">grid-column-gap :</span> Permet de définir les espaces entre les colonnes
                    d'une grille.</li>
                <li><span class="propriete">grid-column-start :</span> Définit la position du début d'un élément en
                    définissant la ligne ou la taille de fragment occupé sur la grille.</li>
                <li><span class="propriete">grid-column-end :</span> Définit la position de la fin d'un élément de la
                    grille dans une zone donnée ou sur un fragment de colonne donné.</li>
                <li><span class="propriete">grid-column :</span> C'est une propriété raccourcie pour grid-column-start
                    et grid-column-end.</li>
            </ul>
        </div>

        <div class="rows">
            <h3>Rows</h3>
            <ul>
                <li><span class="propriete">grid-template-rows :</span> Définit le nombre et la taille des lignes de la
                    grille.</li>
                <li><span class="propriete">grid-rows-gap :</span> La propriété row-gap définit la taille des gouttières
                    entre les lignes d'un élément.</li>
                <li><span class="propriete">grid-rows-start :</span> Définit le début de la position, sur une ligne,
                    d'un élément placé sur la grille qui participe à une ligne, à un fragment de ligne ou rien.</li>
                <li><span class="propriete">grid-rows-end :</span> Définit la position de la fin d'un élément de la
                    grille dans une zone donnée ou sur un fragment de ligne donné.</li>
                <li><span class="propriete">grid-rows :</span> C'est une propriété raccourcie pour grid-row-start et
                    grid-row-end.</li>
            </ul>
        </div>

        <div class="lesDeux">
            <h3>Les Deux</h3>
            <ul>
                <li><span class="propriete">grid-template-area :</span> Permet de définir des zones de grille nommées.
                </li>
                <li><span class="propriete">grid-gap :</span> C'est une propriété raccourcie pour row-gap et column-gap.
                </li>
                <li><span class="propriete">grid-area :</span> C'est une propriété raccourcie pour grid-row-start,
                    grid-column-start, grid-row-end et grid-column-end.</li>

            </ul>
        </div>
        <div class="exemples">
            <p>
                .container{<br><br>
                grid-column-start: 2;<br><br>
                }
            </p>
        </div>
        <div class="exemples">
            <p>
                .container{<br><br>
                grid-column: 2 span, 1;<br><br>
                }
            </p>
        </div>
        <div class="exemples">
            <p>
                .container{<br><br>
                grid-row-end: 2;<br><br>
                }
            </p>
        </div>
        <div class="exemples">
            <p>
                .container{<br><br>
                grid-template-columns: 40px 50px auto 50px 40px;<br>
                grid-template-rows: 25% 100px auto;<br><br>
                }
            </p>
        </div>
        <div class="exemples">
            <p>
                .container{<br><br>
                grid-template-columns: 100px 50px 100px;<br>
                grid-template-rows: 80px auto 80px;<br>
                grid-column-gap: 10px;<br>
                grid-row-gap: 15px;<br><br>
                }
            </p>
        </div>
        <div class="exemples">
            <p>
                .container {<br><br>
                display: grid;<br>
                grid-template-columns: 50px 50px 50px 50px;<br>
                grid-template-rows: auto;<br>
                grid-template-areas: <br>
                "1 / 1 / 1 / 1"<br>
                "2 / 1 / 1"<br>
                "4fr";<br><br>
                }
            </p>
        </div>
        <div class="grid1">
            <img src="./Grid/grid1.jpg">
        </div>
        <div class="grid2">
            <img src="./Grid/grid2.jpg">
        </div>
        <div class="grid3">
            <img src="./Grid/grid3.jpg">
        </div>
        <div class="grid4">
            <img src="./Grid/grid4.jpg">
        </div>
        <div class="grid5">
            <img src="./Grid/grid5.jpg">
        </div>
        <div class="grid6">
            <img src="./Grid/grid6.png">
        </div>

    </div>

    <footer>
        <a href="./accueil.html">Retour à l'accueil.</a>
    </footer>
</body>

</html>